Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | Private Attributes | List of all members
eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer Class Reference

Symfony implementation of RichText field type embed renderer. More...

Inheritance diagram for eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer:

## Public Member Functions
| __construct (Repository $repository, AuthorizationCheckerInterface $authorizationChecker, ConfigResolverInterface $configResolver, EngineInterface $templateEngine, $tagConfigurationNamespace, $styleConfigurationNamespace, $embedConfigurationNamespace, LoggerInterface $logger=null, array $customTagsConfiguration=[], array $customStylesConfiguration=[])
| renderTag ($name, array $parameters, $isInline)
  | {Renders template tag. Deprecated: since 7.3. Use renderTemplate instead Parameters
  string | $name |
  array | $parameters |
  bool | $isInline |
Returns string } More...
| renderLocationEmbed ($locationId, $viewType, array $parameters, $isInline)
  | {Renders Location embed. Parameters
  int | string | $locationId |
  string | $viewType |
  array | $parameters |
  bool | $isInline |
Returns string } More...
| renderTemplate ($name, $type, array $parameters, $isInline)
| Renders template tag. More...
Public Member Functions inherited from eZ\Publish\Core\FieldType\RichText\RendererInterface
| renderContentEmbed ($contentId, $viewType, array $parameters, $isInline)
| Renders Content embed. More...

## Public Attributes
const | RESOURCE_TYPE_CONTENT = 0
const | RESOURCE_TYPE_LOCATION = 1

## Protected Member Functions
| renderStyle ($name, array $parameters, $isInline)
| {} More...
| render ($templateReference, array $parameters)
| Renders template $templateReference with given $parameters. More...
| getStyleTemplateName ($identifier, $isInline)
| Returns configured template name for the given Custom Style identifier. More...
| getTagTemplateName ($identifier, $isInline)
| Returns configured template name for the given template tag identifier. More...
| getEmbedTemplateName ($resourceType, $isInline, $isDenied)
| Returns configured template reference for the given embed parameters. More...
| checkContentPermissions (Content $content)
| Check embed permissions for the given Content. More...

## Protected Attributes
| $repository
| $tagConfigurationNamespace
| $styleConfigurationNamespace
| $embedConfigurationNamespace
| $configResolver
| $templateEngine
| $logger

## Private Attributes
| $authorizationChecker
| $customTagsConfiguration
| $customStylesConfiguration

## Detailed Description

Symfony implementation of RichText field type embed renderer.

Definition at line 26 of file FieldType/RichText/Renderer.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer::__construct | ( | Repository | $repository,
|  | AuthorizationCheckerInterface | $authorizationChecker,
|  | ConfigResolverInterface | $configResolver,
|  | EngineInterface | $templateEngine,
|  |  | $tagConfigurationNamespace,
|  |  | $styleConfigurationNamespace,
|  |  | $embedConfigurationNamespace,
|  | LoggerInterface | $logger = `null`,
|  | array | $customTagsConfiguration = `[]`,
|  | array | $customStylesConfiguration = `[]`
| ) |  |

Parameters

  \eZ\Publish\API\Repository\Repository | $repository |
  \Symfony\Component\Security\Core\Authorization\AuthorizationCheckerInterface | $authorizationChecker |
  \eZ\Publish\Core\MVC\ConfigResolverInterface | $configResolver |
  \Symfony\Component\Templating\EngineInterface | $templateEngine |
  string | $tagConfigurationNamespace |
  string | $styleConfigurationNamespace |
  string | $embedConfigurationNamespace |
  \Psr\Log\LoggerInterface | null | $logger |
  array | $customTagsConfiguration |
  array | $customStylesConfiguration |

Definition at line 73 of file FieldType/RichText/Renderer.php.

References eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer\$authorizationChecker, eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer\$configResolver, eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer\$customStylesConfiguration, eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer\$customTagsConfiguration, eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer\$embedConfigurationNamespace, eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer\$logger, eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer\$repository, eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer\$styleConfigurationNamespace, eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer\$tagConfigurationNamespace, and eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer\$templateEngine.

## Member Function Documentation

## ◆ checkContentPermissions()

eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer::checkContentPermissions | ( | Content | $content | ) |
| protected

Check embed permissions for the given Content.

Exceptions

Definition at line 466 of file FieldType/RichText/Renderer.php.

References eZ\Publish\API\Repository\Values\Content\Content\getVersionInfo().

## ◆ getEmbedTemplateName()

eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer::getEmbedTemplateName | ( |  | $resourceType,
|  |  | $isInline,
|  |  | $isDenied
| ) |  |
| protected

Returns configured template reference for the given embed parameters.

Parameters

  $resourceType |
  $isInline |
  $isDenied |

Returns
  string|null

Definition at line 389 of file FieldType/RichText/Renderer.php.

References eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer\$embedConfigurationNamespace.

Referenced by eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer\renderLocationEmbed().

## ◆ getStyleTemplateName()

eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer::getStyleTemplateName | ( |  | $identifier,
|  |  | $isInline
| ) |  |
| protected

Returns configured template name for the given Custom Style identifier.

Parameters

  string | $identifier |
  bool | $isInline |

Returns
  string|null

Definition at line 304 of file FieldType/RichText/Renderer.php.

Referenced by eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer\renderTemplate().

## ◆ getTagTemplateName()

eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer::getTagTemplateName | ( |  | $identifier,
|  |  | $isInline
| ) |  |
| protected

Returns configured template name for the given template tag identifier.

Parameters

  string | $identifier |
  bool | $isInline |

Returns
  string|null

Definition at line 341 of file FieldType/RichText/Renderer.php.

Referenced by eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer\renderTemplate().

## ◆ render()

eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer::render | ( |  | $templateReference,
|  | array | $parameters
| ) |  |
| protected

Renders template $templateReference with given $parameters.

Parameters

  string | $templateReference |
  array | $parameters |

Returns
  string

Definition at line 288 of file FieldType/RichText/Renderer.php.

Referenced by eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer\renderLocationEmbed(), and eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer\renderTemplate().

## ◆ renderLocationEmbed()

eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer::renderLocationEmbed | ( |  | $locationId,
|  |  | $viewType,
|  | array | $parameters,
|  |  | $isInline
| ) |  |

{Renders Location embed.

Parameters

  int | string | $locationId |
  string | $viewType |
  array | $parameters |
  bool | $isInline |

Returns
  string

}

Implements eZ\Publish\Core\FieldType\RichText\RendererInterface.

Definition at line 183 of file FieldType/RichText/Renderer.php.

References eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer\getEmbedTemplateName(), and eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer\render().

## ◆ renderStyle()

eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer::renderStyle | ( |  | $name,
|  | array | $parameters,
|  |  | $isInline
| ) |  |
| protected

{}

Definition at line 100 of file FieldType/RichText/Renderer.php.

References eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer\renderTemplate().

## ◆ renderTag()

eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer::renderTag | ( |  | $name,
|  | array | $parameters,
|  |  | $isInline
| ) |  |

{Renders template tag.

Deprecated:
  since 7.3. Use renderTemplate instead

Parameters

  string | $name |
  array | $parameters |
  bool | $isInline |

Returns
  string

}

Implements eZ\Publish\Core\FieldType\RichText\RendererInterface.

Definition at line 108 of file FieldType/RichText/Renderer.php.

References eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer\renderTemplate().

## ◆ renderTemplate()

eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer::renderTemplate | ( |  | $name,
|  |  | $type,
|  | array | $parameters,
|  |  | $isInline
| ) |  |

Renders template tag.

Parameters

  string | $name |
  string | $type |
  array | $parameters |
  bool | $isInline |

Returns
  string

Implements eZ\Publish\Core\FieldType\RichText\RendererInterface.

Definition at line 250 of file FieldType/RichText/Renderer.php.

References eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer\getStyleTemplateName(), eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer\getTagTemplateName(), and eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer\render().

Referenced by eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer\renderStyle(), and eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer\renderTag().

## Member Data Documentation

## ◆ $authorizationChecker

eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer::$authorizationChecker
| private

Definition at line 35 of file FieldType/RichText/Renderer.php.

Referenced by eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer\__construct().

## ◆ $configResolver

eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer::$configResolver
| protected

Definition at line 47 of file FieldType/RichText/Renderer.php.

Referenced by eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer\__construct().

## ◆ $customStylesConfiguration

eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer::$customStylesConfiguration
| private

Definition at line 59 of file FieldType/RichText/Renderer.php.

Referenced by eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer\__construct().

## ◆ $customTagsConfiguration

eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer::$customTagsConfiguration
| private

Definition at line 56 of file FieldType/RichText/Renderer.php.

Referenced by eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer\__construct().

## ◆ $embedConfigurationNamespace

eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer::$embedConfigurationNamespace
| protected

Definition at line 44 of file FieldType/RichText/Renderer.php.

Referenced by eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer\__construct(), and eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer\getEmbedTemplateName().

## ◆ $logger

eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer::$logger
| protected

Definition at line 53 of file FieldType/RichText/Renderer.php.

Referenced by eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer\__construct().

## ◆ $repository

eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer::$repository
| protected

Definition at line 32 of file FieldType/RichText/Renderer.php.

Referenced by eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer\__construct().

## ◆ $styleConfigurationNamespace

eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer::$styleConfigurationNamespace
| protected

Definition at line 41 of file FieldType/RichText/Renderer.php.

Referenced by eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer\__construct().

## ◆ $tagConfigurationNamespace

eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer::$tagConfigurationNamespace
| protected

Definition at line 38 of file FieldType/RichText/Renderer.php.

Referenced by eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer\__construct().

## ◆ $templateEngine

eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer::$templateEngine
| protected

Definition at line 50 of file FieldType/RichText/Renderer.php.

Referenced by eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer\__construct().

## ◆ RESOURCE_TYPE_CONTENT

const eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer::RESOURCE_TYPE_CONTENT = 0

Definition at line 28 of file FieldType/RichText/Renderer.php.

## ◆ RESOURCE_TYPE_LOCATION

const eZ\Publish\Core\MVC\Symfony\FieldType\RichText\Renderer::RESOURCE_TYPE_LOCATION = 1

Definition at line 29 of file FieldType/RichText/Renderer.php.

The documentation for this class was generated from the following file:

- FieldType/RichText/Renderer.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.